<template>
  <v-card class="ma-2">
    <v-card-title>
      <v-container fluid>
        <h2>Address form</h2>
        <form>
          <v-layout
            row
            v-for="item in addressSchema"
            :key="item.field"
          >
            <v-flex>
              <v-text-field
                :label="item.label"
                v-model="address[item.field]"
              ></v-text-field>
            </v-flex>
          </v-layout>
        </form>
      </v-container>
    </v-card-title>
  </v-card>
</template>

<script>
export default {
  props: {
    address: {
      type: Object,
      default: null
    }
  },
  data () {
    return {
      addressSchema: [{
        attrs: { type: 'text' },
        label: 'Road',
        field: 'road'
      }, {
        attrs: { type: 'number', style: 'color: red' },
        label: 'Zip Code',
        field: 'zipCode'
      }, {
        attrs: { type: 'text' },
        label: 'Complement',
        field: 'complement'
      }, {
        attrs: { type: 'text' },
        label: 'State',
        field: 'state'
      }, {
        attrs: { type: 'text' },
        label: 'Country',
        field: 'country'
      }, {
        attrs: { type: 'text' },
        label: 'City',
        field: 'city'
      }]
    }
  }
}
</script>
